# Delete a directory

Launch stage: Public Preview

`DELETE /api/2.0/fs/directories{directory_path}`

Deletes an empty directory.

 To delete a non-empty directory, first delete all of its contents. This can be done
 by listing the directory contents and deleting each file and subdirectory recursively.

API scopes: files

## Path parameters

- `directory_path` (string, required)
  The absolute path of a directory.
  Example: `/Volumes/my-catalog/my-schema/my-volume/directory/` : A directory

## Responses

### 204

Request successful, but no content returned.

## Response

```json
{}
```
